import { StyleSheet, Text, TouchableOpacity, View } from 'react-native'
import React from 'react'
import { moderateScale } from '../../../constants/metrics'

const Button = ({ style, onPress, children }) => {
    return (
        <TouchableOpacity onPress={onPress}>
            <View style={[styles.button,style]}>
                {children}
            </View>
        </TouchableOpacity>

    )
}

export default Button

const styles = StyleSheet.create({
    button:{
        paddingVertical: moderateScale(12),
        paddingHorizontal: moderateScale(12),
        backgroundColor: 'grey',
        borderRadius: moderateScale(4)
    }
})